import originpro as op
import os
import random

#Pythonファイルがあるフォルダを変数に格納
working_folder = os.path.dirname(os.path.realpath(__file__)) + '\\'


# Example 4 Embedded graph template
#埋め込みテンプレートを変数に格納
tmpl = working_folder + 'templates\\embedded_template.ogwu'
#テンプレートを指定してワークブックを読み込み
bk = op.load_book(tmpl)
wks = bk[0]
#ワークブックにデータを入力
for i in range(9):
    list = [random.gauss(50, 5) for j in range(16)]
    wks.from_list(int(i), list)
#ワークブックからグラフを分離して、グラフをアクティブにする
bk.unembed_sheet(1) 

op.find_graph()[0].rescale() 
bk.show = False